Bug 462207 - Missing header files in devel package
Missing header files in devel package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: iptables-maint-list
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 479208
  Show dependency treegraph
 
Reported: 2008-09-14 01:45 EDT by Christian Tosta
Modified: 2009-04-12 12:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-12 12:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to install the missing headers (787 bytes, patch)
2008-09-14 01:45 EDT, Christian Tosta
no flags Details | Diff
Patch to spec file (1.65 KB, patch)
2008-09-14 01:46 EDT, Christian Tosta
no flags Details | Diff

  None (edit)
Description Christian Tosta 2008-09-14 01:45:41 EDT
Created attachment 316680 [details]
Patch to install the missing headers

Description of problem:
Follow headers not installed by devel package:

libipulog.h
libip6tc.h 
libiptc.h

Version-Release number of selected component (if applicable):
iptables-1.4.1.1-2.fc9

How reproducible:
Ever

Steps to Reproduce:
1.Install iptables-devel package
2.Try to compile ipp2p for example
3.See the headers is missing
  
Actual results:
Header files is missing


Expected results:
Header files is installed

Additional info:
Comment 1 Christian Tosta 2008-09-14 01:46:28 EDT
Created attachment 316681 [details]
Patch to spec file
Comment 2 john.haxby@oracle.com 2008-11-17 10:42:52 EST
See also bug 402281
Comment 3 john.haxby@oracle.com 2008-11-17 11:00:55 EST
What's annoying is that libiptc.h, at least, was in 1.4.0-4.fc9:

yum whatprovides '*libiptc.h'
Loaded plugins: changelog, refresh-packagekit
iptables-devel-1.4.0-4.fc9.x86_64 : Development package for iptables
Matched from:                                                       
Filename    : /usr/include/libiptc/libiptc.h                        



iptables-devel-1.4.0-4.fc9.i386 : Development package for iptables
Matched from:                                                     
Filename    : /usr/include/libiptc/libiptc.h
Comment 4 Matthias Saou 2009-01-09 07:18:18 EST
I can confirm that Fedora 10's iptables-devel-1.4.1.1-2.fc10 is also affected.

See bug #479208 for an example of how this breaks things unexpectedly. Raising severity.
Comment 5 Matthias Saou 2009-04-12 12:10:30 EDT
I just checked the devel package (F-11) and it's fixed there, apparently this report has been seen and taken into account, though not updated nor closed :

* Fri Feb 20 2009 Thomas Woerner <twoerner@redhat.com> 1.4.2-1
- new version 1.4.2
- removed TOS value mask patch (upstream)
- more review fixes (rhbz#225906)
- install all header files (rhbz#462207)
- dropped nf_ext_init (rhbz#472548)

I'll close the report now. Note that it would be nice to get updated packages backported for F-9 and F-10 to fix this, though.

Note You need to log in before you can comment on or make changes to this bug.